
.calendar {
	padding: 20px;
	background-color: white;
	border-radius: 15px;
}

.date-nav {
	display: flex;
	column-gap: 10px;
}

.week {
	position: relative;
}

.week-header {
	display: grid;
}

.week-header.col-1, .week-content.col-1 {
	grid-template-columns: 50px repeat(1, 1fr);
}

.week-header.col-2, .week-content.col-2 {
	grid-template-columns: 50px repeat(2, 1fr);
}

.week-header.col-3, .week-content.col-3 {
	grid-template-columns: 50px repeat(3, 1fr);
}

.week-header.col-4, .week-content.col-4 {
	grid-template-columns: 50px repeat(4, 1fr);
}

.week-header.col-5, .week-content.col-5 {
	grid-template-columns: 50px repeat(5, 1fr);
}

.week-header.col-6, .week-content.col-6 {
	grid-template-columns: 50px repeat(6, 1fr);
}

.week-header.col-7, .week-content.col-7 {
	grid-template-columns: 50px repeat(7, 1fr);
}

.day-title {
	text-transform: capitalize;
	background-color: var(--gray-bg);
	text-align: center;
	height: 40px;
}

.day-title .day-title-content {
	line-height: 40px;
}

.day-title .badge {
	padding: 5px 8px;
	background-color: var(--grey-neutral);
	border-radius: 100px;
	margin-left: 5px;
}

.day-title .badge.today {
	color: white;
	background-color: var(--violet);
}

.hour {
	border-bottom: solid 1px #e0e0e0;
	height: 50px;
	position: relative;
}

.week-content {
	max-height: 600px;
	overflow-y: auto;
	display: grid;
}

.day {
	border-left: solid 1px var(--gray-border);
}

.hour-title {
	text-align: right;
	padding: 5px 5px 0 0;
}

.event {
	background-color: #8585c3;
	margin-right: 2px;
	width: 100%;
	color: white;
	border-radius: 5px;
}

.event-summary {
	padding: 5px;
}

.time-container {
	display: flex;
	position: absolute;
	width: 100%;
	height: calc(50px / 4);
}

.calendar-bar {
	height: 50px;
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	margin-top: 20px;
}

.calendar-period {
	text-align: center;
}

.btn-period {
	border: 0;
	background-color: transparent;
	color: var(--neutral);
	font-size: 16px;
	font-weight: 500;
	line-height: 30px;
	position: relative;
}

.btn-period.active {
	color: var(--black);
}

.btn-period.active::after {
	content: "";
	position: absolute;
	background-color: var(--violet);
	width: 30%;
	height: 3px;
	bottom: 0;
	left: 30%;
}

.interval-date {
	font-size: 18px;
	line-height: 40px;
}

#new-event-button {
	position: absolute;
	right: 10px;
	background-color: var(--violet);
	color: white;
}

.options {
	text-align: right;
	align-items: center;
	display: flex;
	flex-direction: row-reverse;
}

.form-field {
	position: relative;
}

.form-field.iconed input {
	padding-left: 25px;
}

.form-field.iconed i {
	position: absolute;
	left: 5px;
	transform: translateY(70%);
	font-size: 14px;
}


.add-event {
	position: absolute;
	bottom: 10px;
	right: 25px;
	z-index: 1000;
}

.add-event i {
	font-size: 56px;
	color: var(--violet)
}

#event-box {
	min-width: 450px;
	min-height: 680px;
}